OpenNMS API 1.2.9

## org.opennms.netmgt.config.destinationPaths
Class Escalate

    java.lang.Object
      org.opennms.netmgt.config.destinationPaths.Escalate

All Implemented Interfaces:
  java.io.Serializable

public class Escalate
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_delay`
`private java.util.ArrayList` `_targetList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Escalate()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addTarget(int index, Target vTarget)`
`void` `addTarget(Target vTarget)`
`void` `clearTarget()`
`java.util.Enumeration` `enumerateTarget()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getDelay()` Returns the value of field 'delay'.
`Target[]` `getTarget()`
`Target` `getTarget(int index)`
`java.util.Collection` `getTargetCollection()`
`int` `getTargetCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeTarget(Target vTarget)`
`void` `setDelay(java.lang.String delay)` Sets the value of field 'delay'.
`void` `setTarget(int index, Target vTarget)`
`void` `setTarget(Target[] targetArray)`
`void` `setTargetCollection(java.util.Collection vTarget)`
`static Escalate` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _delay

    private java.lang.String _delay

### _targetList

    private java.util.ArrayList _targetList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Escalate

    public Escalate()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addTarget

    public void addTarget(Target vTarget)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vTarget` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addTarget

    public void addTarget(int index,
                          Target vTarget)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vTarget` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearTarget

    public void clearTarget()

### enumerateTarget

    public java.util.Enumeration enumerateTarget()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getDelay

    public java.lang.String getDelay()

  Returns the value of field 'delay'.

  Returns:
    the value of field 'delay'.

### getTarget

    public Target getTarget(int index)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getTarget

    public Target[] getTarget()

### getTargetCollection

    public java.util.Collection getTargetCollection()

### getTargetCount

    public int getTargetCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeTarget

    public boolean removeTarget(Target vTarget)

  Parameters:
    `vTarget` -

### setDelay

    public void setDelay(java.lang.String delay)

  Sets the value of field 'delay'.

  Parameters:
    `delay` - the value of field 'delay'.

### setTarget

    public void setTarget(int index,
                          Target vTarget)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vTarget` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setTarget

    public void setTarget(Target[] targetArray)

  Parameters:
    `targetArray` -

### setTargetCollection

    public void setTargetCollection(java.util.Collection vTarget)

  Parameters:
    `vTarget` -

### unmarshal

    public static Escalate unmarshal(java.io.Reader reader)
                              throws org.exolab.castor.xml.MarshalException,
                                     org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.